import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { DataSettings, DisplayBehaviour, EntityType, ISlicer } from '@metad/ocap-core';
import { BehaviorSubject } from 'rxjs';
import { BaseSlicersComponent } from '../base-slicers';
import { SlicersCapacity } from '../types';
import * as i0 from "@angular/core";
export declare class SlicerBarComponent extends BaseSlicersComponent implements OnInit {
    data?: {
        dataSettings: DataSettings;
        value: ISlicer[];
        entityType: EntityType;
        capacities: SlicersCapacity[];
    };
    DisplayBehaviour: typeof DisplayBehaviour;
    SlicersCapacity: typeof SlicersCapacity;
    isDialogContainer: boolean;
    get slicers(): ISlicer[];
    set slicers(value: ISlicer[]);
    slicers$: BehaviorSubject<ISlicer[]>;
    capacities: SlicersCapacity[];
    removed: EventEmitter<any>;
    valueChange: EventEmitter<ISlicer>;
    get showCombinationSlicer(): boolean;
    get showAdvancedSlicer(): boolean;
    readonly dimensions$: import("rxjs").Observable<import("@metad/ocap-core").Property[]>;
    readonly dateVariables: import("dist/packages/angular/core").DateVariable[];
    searchControl: FormControl<string>;
    get highlight(): string;
    constructor(data?: {
        dataSettings: DataSettings;
        value: ISlicer[];
        entityType: EntityType;
        capacities: SlicersCapacity[];
    });
    ngOnInit(): void;
    removeSelectOption(member: any): void;
    update(value: any, index: any): void;
    remove(index: any): void;
    addSlicer(slicer: ISlicer): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SlicerBarComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SlicerBarComponent, "ngm-slicer-bar", never, { "slicers": { "alias": "slicers"; "required": false; }; "capacities": { "alias": "capacities"; "required": false; }; }, { "removed": "removed"; "valueChange": "valueChange"; }, never, never, false, never>;
}
